import { NavigationExtras } from '@angular/router';
import { Subject } from 'rxjs';
import { ZuiPermission, ZuiPermissionNotFound } from './type';
export declare class ZuiPermissionService {
    #private;
    get permission(): ZuiPermission;
    get dataChange$(): Subject<ZuiPermission>;
    get isDisable(): boolean;
    get notFoundPage(): ZuiPermissionNotFound;
    addPermissions: (permissions: string[]) => void;
    removePermissions: (permissions: string[]) => void;
    clearPermissions: () => void;
    enable: () => void;
    disable: () => void;
    setNotFoundPage: (commands: any[], extras?: NavigationExtras) => void;
    clearNotFoundPage: () => void;
}
